### Function

# Gimp stack_trace_available

since: 2.10

#### Declaration [src]

    gboolean
    gimp_stack_trace_available (
      gboolean optimal
    )

#### Description [src]

Returns `TRUE` if we have dependencies to generate backtraces. If `optimal` is `TRUE`, the function will return `TRUE` only when we are able to generate optimal traces (i.e. with GDB or LLDB); otherwise we return `TRUE` even if only `backtrace()` API is available.

On Win32, we return TRUE if Dr. Mingw is built-in, FALSE otherwise.

Note: this function is not crash-safe, i.e. you should not try to use it in a callback when the program is already crashing. In such a case, call `gimp_stack_trace_print()` or `gimp_stack_trace_query()` directly.

Available since: 2.10

#### Parameters

`optimal`

  Type: `gboolean`

  Whether we get optimal traces.

#### Return value

Type: `gboolean`

No description available.